Bug 93008 - Graphics Cache: Use for LibreOffice > 2047: 'Memory per object' broken
Summary: Graphics Cache: Use for LibreOffice > 2047: 'Memory per object' broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-29 19:33 UTC by René Genz
Modified: 2016-09-17 14:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description René Genz 2015-07-29 19:33:32 UTC
LibreOffice -- Tools -- Options... -- LibreOffice -- Memory -- Graphics Cache: Use for LibreOffice:

starting with 2,048 MB the "Memory per object" value drops from 20 to 1 ; while you are in the menu you can go below 2048 MB and increase memory per object


- Mac OS X 10.10.4 & LO 4.3.7.2: 'Use for LibreOffice' value capped at 256 MB, so no problem with 'Memory per object'

- Fedora 22 x86_64 & LO 4.4.4.3-6.fc22:
  2,048 MB lead to 'Memory per object' of 1.0 or -2,048.0 MB
  if value of 'Use for LibreOffice' is increased, values for 'Memory per object' increases

- Mac OS X 10.10.4 & LO 4.4.4.3: same bug as Fedora 22
- Mac OS X 10.10.4 & LO 4.4.5.1: same bug as Fedora 22
- Mac OS X 10.10.4 & LO 5.0.0.3: same bug as Fedora 22
Comment 1 Jean-Baptiste Faure 2015-07-29 20:36:15 UTC
Please, could you be more explicit in what you find wrong in the current behavior of this dialog.

Best regards. JBF
Comment 2 René Genz 2015-07-30 20:35:05 UTC
For certain value ranges for 'Use for LibreOffice' the value of 'Memory per object' is changed automatically.
If 'Memory per object' value is changed, only two values are possible for 'Memory per object'. Either 1 or a negative value. This limitation is wrong in my opinion.
For certain values 'Use for LibreOffice' and 'Memory per object' is trimmed. Depending on the value it is trimmed to different values. If you have to trim, it should trim to the same values.



I am using Mac OS X 10.10.4 (4 GB RAM) & LO 4.4.4.3 for the following examples:
Use '2048' for 'Use for LibreOffice'.
This will automatically change value of 'Memory per object' to '1.0'.
Furthermore, you can toggle the value of 'Memory per object' only between '1.0' or '-2048'. You can use the arrow buttons or click in the textbox for 'Memory per object' and use the arrow up/down keys on the keyboard to toggle the value.

If you change the value of 'Use for LibreOffice' to '2050' the value of 'Memory per object' can be toggled only between '1.0' or '-2050'.

Click [OK] and reopen the same menu.
'Use for LibreOffice' is set to '0'.
'Memory per object' is set to '1'.



As a different example use '9999' for 'Use for LibreOffice'.
This will not change value of 'Memory per object'.
Set 'Memory per object' to '999'.
Click [OK] and reopen the same menu.
'Use for LibreOffice' is set to '1807'.
'Memory per object' is set to '256.0'.



As a different example use '5000' for 'Use for LibreOffice'.
This will not change value of 'Memory per object'.
Set 'Memory per object' to '800'.
Click [OK] and reopen the same menu.
'Use for LibreOffice' is set to '904'.
'Memory per object' is set to '256.0'.
Why is the value of 'Memory per object' not changed automatically in this example?
Comment 3 Jean-Baptiste Faure 2015-07-31 20:07:37 UTC
Ok, I see and reproduce the problem in LO 4.4, LO 5.0.1.0+ and the master. Thank you for the bug report.
The limit to 256 MB for the cache size has been removed in LO 4.4.

Best regards. JBF
Comment 4 Commit Notification 2015-12-18 06:50:12 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcca78f4a720e2d073e49e631b34af3210e0e27f

tdf#93008: use up/down/loseFocusHdl and max cache value fixed

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2016-09-15 20:47:40 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 6 René Genz 2016-09-17 14:20:09 UTC
I tested with LibreOffice 5.2.1.2 on Fedora 24 x86_64, Mac OS X 10.10.5, Windows 7 32 bit:
'Use for LibreOffice' and 'Memory per object' have an upper limit of 2,047 MB

problem solved, thank you :)